Enable two-factor authentication
curl --request POST \
--url https://api.liara.ir/v1/two-fa \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"secretCode": "<base32-secret>",
"token": "123456"
}
'import requests
url = "https://api.liara.ir/v1/two-fa"
payload = {
"secretCode": "<base32-secret>",
"token": "123456"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({secretCode: '<base32-secret>', token: '123456'})
};
fetch('https://api.liara.ir/v1/two-fa', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.liara.ir/v1/two-fa",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'secretCode' => '<base32-secret>',
'token' => '123456'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.liara.ir/v1/two-fa"
payload := strings.NewReader("{\n \"secretCode\": \"<base32-secret>\",\n \"token\": \"123456\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.liara.ir/v1/two-fa")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"secretCode\": \"<base32-secret>\",\n \"token\": \"123456\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.liara.ir/v1/two-fa")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"secretCode\": \"<base32-secret>\",\n \"token\": \"123456\"\n}"
response = http.request(request)
puts response.read_body{
"recoveryCodes": [
"A1B2C3D4E5",
"F6A7B8C9D0",
"..."
]
}{
"statusCode": 400,
"error": "Bad Request",
"message": "Enable TwoFA failed.",
"data": {
"code": "enable_two_fa_failed"
}
}{
"error": "Unauthorized."
}{
"statusCode": 403,
"error": "Forbidden",
"message": "You must verify your account, first.",
"data": {
"code": "account_verification_required"
}
}Two-Factor Authentication
Enable two-factor authentication
Turns on two-factor authentication with the secret from POST /v1/two-fa/config and a current code from your authenticator app. Returns 8 single-use recovery codes; store them safely, they aren’t shown again. Your account must be verified.
POST
/
v1
/
two-fa
Enable two-factor authentication
curl --request POST \
--url https://api.liara.ir/v1/two-fa \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"secretCode": "<base32-secret>",
"token": "123456"
}
'import requests
url = "https://api.liara.ir/v1/two-fa"
payload = {
"secretCode": "<base32-secret>",
"token": "123456"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({secretCode: '<base32-secret>', token: '123456'})
};
fetch('https://api.liara.ir/v1/two-fa', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.liara.ir/v1/two-fa",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'secretCode' => '<base32-secret>',
'token' => '123456'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.liara.ir/v1/two-fa"
payload := strings.NewReader("{\n \"secretCode\": \"<base32-secret>\",\n \"token\": \"123456\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.liara.ir/v1/two-fa")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"secretCode\": \"<base32-secret>\",\n \"token\": \"123456\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.liara.ir/v1/two-fa")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"secretCode\": \"<base32-secret>\",\n \"token\": \"123456\"\n}"
response = http.request(request)
puts response.read_body{
"recoveryCodes": [
"A1B2C3D4E5",
"F6A7B8C9D0",
"..."
]
}{
"statusCode": 400,
"error": "Bad Request",
"message": "Enable TwoFA failed.",
"data": {
"code": "enable_two_fa_failed"
}
}{
"error": "Unauthorized."
}{
"statusCode": 403,
"error": "Forbidden",
"message": "You must verify your account, first.",
"data": {
"code": "account_verification_required"
}
}Authorizations
Send your API token as Authorization: Bearer <api-token>. Tokens expire (30 days by default) and stop working when you change or reset your password.
Body
application/json
Response
Two-factor authentication is on.
8 single-use recovery codes, 10 characters each.
⌘I
